> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection Endpoint



## OpenAPI

````yaml /api-reference/openapi/foundation-portal.json get /api/v1/merchants/{merchant_id}/collections/{collection_id}
openapi: 3.1.0
info:
  title: Depict Foundation Portal API
  version: 1.0.0
  description: >-
    REST API behind the Depict Foundation merchant portal: merchants, products,
    collections, curation, metrics, analytics and search insights. All endpoints
    require an Auth0-issued bearer token.
servers:
  - url: ''
security: []
paths:
  /api/v1/merchants/{merchant_id}/collections/{collection_id}:
    get:
      tags:
        - Collections
      summary: Get Collection Endpoint
      operationId: >-
        get_collection_endpoint_api_v1_merchants__merchant_id__collections__collection_id__get
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            title: Merchant Id
        - name: collection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Collection Id
        - name: market
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Market
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locale
        - name: market_group_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Market Group Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionDetail'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    CollectionDetail:
      properties:
        collection_id:
          type: string
          format: uuid
          title: Collection Id
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Id
        collection_type:
          $ref: '#/components/schemas/CollectionType'
        externally_owned:
          type: boolean
          title: Externally Owned
        title:
          type: string
          title: Title
        localized_titles:
          additionalProperties:
            type: string
          type: object
          title: Localized Titles
          default: {}
        uri:
          type: string
          title: Uri
        n_main_products:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Main Products
        manual_product_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Manual Product Count
        image_urls:
          items:
            type: string
          type: array
          title: Image Urls
          default: []
        cover_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cover Image Url
        content_blocks:
          items:
            $ref: '#/components/schemas/ContentBlock'
          type: array
          title: Content Blocks
          default: []
        chunk_type:
          anyOf:
            - $ref: '#/components/schemas/ChunkType'
            - type: 'null'
        ranking_type:
          allOf:
            - $ref: '#/components/schemas/CollectionRankingType'
          default: top
        show_in_filter:
          type: boolean
          title: Show In Filter
          default: true
        show_in_search_suggestions:
          type: boolean
          title: Show In Search Suggestions
          default: false
        appear_in_quicklinks:
          type: boolean
          title: Appear In Quicklinks
          default: true
        display_breadcrumb:
          type: boolean
          title: Display Breadcrumb
          default: true
        children:
          items:
            $ref: '#/components/schemas/CollectionChild'
          type: array
          title: Children
          default: []
        permissions:
          $ref: '#/components/schemas/CollectionPermissions'
        market_context:
          $ref: '#/components/schemas/CollectionMarketContext'
      type: object
      required:
        - collection_id
        - collection_type
        - externally_owned
        - title
        - uri
        - permissions
        - market_context
      title: CollectionDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CollectionType:
      type: string
      enum:
        - long_tail_collection
        - campaign
        - category
        - smart_pick
        - style
        - brand
        - look
      title: CollectionType
    ContentBlock:
      properties:
        span_columns:
          type: integer
          title: Span Columns
        span_rows:
          type: integer
          title: Span Rows
        position:
          $ref: '#/components/schemas/ContentPosition'
        row:
          type: integer
          title: Row
        content:
          anyOf:
            - $ref: '#/components/schemas/ImageContent'
            - $ref: '#/components/schemas/VideoContent'
          title: Content
      type: object
      required:
        - span_columns
        - span_rows
        - position
        - row
        - content
      title: ContentBlock
    ChunkType:
      type: string
      enum:
        - similar
        - complementary
      title: ChunkType
    CollectionRankingType:
      type: string
      enum:
        - top
        - similar
        - complementary
      title: CollectionRankingType
    CollectionChild:
      properties:
        collection_id:
          type: string
          format: uuid
          title: Collection Id
        title:
          type: string
          title: Title
        collection_type:
          $ref: '#/components/schemas/CollectionType'
        appear_in_quicklinks:
          type: boolean
          title: Appear In Quicklinks
      type: object
      required:
        - collection_id
        - title
        - collection_type
        - appear_in_quicklinks
      title: CollectionChild
    CollectionPermissions:
      properties:
        can_edit_metadata:
          type: boolean
          title: Can Edit Metadata
        can_edit_visibility:
          type: boolean
          title: Can Edit Visibility
        can_update_products:
          type: boolean
          title: Can Update Products
        can_pin_products:
          type: boolean
          title: Can Pin Products
        can_hide_products:
          type: boolean
          title: Can Hide Products
        can_edit_images:
          type: boolean
          title: Can Edit Images
        can_edit_content:
          type: boolean
          title: Can Edit Content
        can_delete:
          type: boolean
          title: Can Delete
      type: object
      required:
        - can_edit_metadata
        - can_edit_visibility
        - can_update_products
        - can_pin_products
        - can_hide_products
        - can_edit_images
        - can_edit_content
        - can_delete
      title: CollectionPermissions
    CollectionMarketContext:
      properties:
        market_group_id:
          type: string
          title: Market Group Id
        market_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Market Id
        resolved_market:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolved Market
      type: object
      required:
        - market_group_id
      title: CollectionMarketContext
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ContentPosition:
      type: string
      enum:
        - left
        - right
        - center
      title: ContentPosition
    ImageContent:
      properties:
        type:
          type: string
          enum:
            - image
          const: image
          title: Type
          default: image
        url:
          type: string
          title: Url
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
      type: object
      required:
        - url
        - link
      title: ImageContent
    VideoContent:
      properties:
        type:
          type: string
          enum:
            - video
          const: video
          title: Type
          default: video
        url:
          type: string
          title: Url
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
      type: object
      required:
        - url
        - link
      title: VideoContent
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````